ports/76412: [MAINTAINER] dns/nsd: update to 2.2.0

Olafur Osvaldsson oli at isnic.is
Tue Jan 18 16:00:52 UTC 2005


>Number:         76412
>Category:       ports
>Synopsis:       [MAINTAINER] dns/nsd: update to 2.2.0
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Tue Jan 18 16:00:49 GMT 2005
>Closed-Date:
>Last-Modified:
>Originator:     Olafur Osvaldsson
>Release:        FreeBSD 5.3-RELEASE-p2 i386
>Organization:
ISNIC
>Environment:
System: FreeBSD aker.isnic.is 5.3-RELEASE-p2 FreeBSD 5.3-RELEASE-p2 #1: Mon Dec 20 16:41:38 UTC 2004
>Description:
- Update to 2.2.0
With this release nsd no longer requires named-xfer to be present on the system.

I also changed the options to a configure script.

Added file(s):
- scripts/configure.nsd

>How-To-Repeat:
>Fix:

--- nsd-2.2.0.patch begins here ---
diff -ruN nsd.orig/Makefile nsd/Makefile
--- nsd.orig/Makefile	Tue Jan 18 14:43:31 2005
+++ nsd/Makefile	Tue Jan 18 15:30:40 2005
@@ -5,8 +5,15 @@
 # $FreeBSD: ports/dns/nsd/Makefile,v 1.20 2004/11/30 12:58:19 sem Exp $
 #
 
+# To pre-select options in batch mode, run make like this:
+#
+#  make -DBATCH NSD_OPTIONS="ROOT_SERVER BIND8_STATS"
+#
+# the options are the same names as in the scripts/configure.nsd file.
+# NSD_OPTIONS can be set in /etc/make.conf also.
+
 PORTNAME=	nsd
-PORTVERSION=	2.1.5
+PORTVERSION=	2.2.0
 CATEGORIES=	dns ipv6
 MASTER_SITES=	http://www.nlnetlabs.nl/downloads/nsd/	\
 		ftp://ftp.rhnet.is/pub/nsd/
@@ -19,70 +26,41 @@
 NSDUSER?=	bind
 NSDDIR?=	${PREFIX}/etc/nsd
 NSDDBFILE?=	/var/db/nsd.database
-NSDXFER?=	/usr/libexec/named-xfer
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-user=${NSDUSER} \
 		--with-configdir=${NSDDIR} \
 		--with-pidfile=/var/run/nsd.pid \
 		--with-dbfile=${NSDDBFILE} \
-		--with-namedxfer=${NSDXFER} \
 		--with-libwrap
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 
-.if defined(WITHOUT_IPV6)
-CONFIGURE_ARGS+=	--disable-ipv6
-.endif
-
-.if defined(WITHOUT_AXFR)
-CONFIGURE_ARGS+=	--disable-axfr
-.endif
-
-.if defined(WITH_PLUGINS)
-CONFIGURE_ARGS+=	--enable-plugins
-.endif
-
-.if defined(WITH_BIND8_STATS)
-CONFIGURE_ARGS+=	--enable-bind8-stats
-.endif
-
-.if defined(WITH_DNSSEC)
-CONFIGURE_ARGS+=	--enable-dnssec
-.endif
-
-.if defined(WITH_ROOT_SERVER)
-CONFIGURE_ARGS+=	--enable-root-server
-.endif
-
-.if defined(WITH_MMAP)
-CONFIGURE_ARGS+=	--enable-mmap
-.endif
-
 SED_SCRIPT=	-e 's,%%NSDUSER%%,${NSDUSER},g' \
 		-e 's,%%NSDDIR%%,${NSDDIR},g' \
 		-e 's,%%PREFIX%%,${PREFIX},g' \
 		-e 's,%%RC_SUBR%%,${RC_SUBR},g'
 
-MAN8=	nsd.8 zonec.8 nsdc.8 nsd-notify.8
+MAN8=	nsd.8 zonec.8 nsdc.8 nsd-notify.8 nsd-xfer.8
 
 PORTDOCS=	README RELNOTES CREDITS DIFFERENCES REQUIREMENTS
 
-pre-everything::
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "nsd has the following tunables:"
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "  WITHOUT_IPV6		Disables IPv6 support"
-	@${ECHO_MSG} "  WITHOUT_AXFR		Disables AXFR"
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "  WITH_PLUGINS		Enable plugin support"
-	@${ECHO_MSG} "  WITH_BIND8_STATS	Enables BIND8 like NSTATS & XSTATS"
-	@${ECHO_MSG} "  WITH_DNSSEC		Enable experimental DNSSEC support"
-	@${ECHO_MSG} "			according to the latest drafts"
-	@${ECHO_MSG} "  WITH_ROOT_SERVER	Configure NSD as a root server"
-	@${ECHO_MSG} "  WITH_MMAP		Configure NSD to load the database using mmap(2)"
-	@${ECHO_MSG} ""
-
-pre-build:
+SCRIPTS_ENV=	WRKDIRPREFIX="${WRKDIRPREFIX}" \
+		TOUCH="${TOUCH}" \
+		MKDIR="${MKDIR}" \
+		NSD_OPTIONS="${NSD_OPTIONS}"
+
+pre-fetch:
+	@${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/configure.nsd
+
+.if exists(${WRKDIRPREFIX}${.CURDIR}/Makefile.inc)
+.include "${WRKDIRPREFIX}${.CURDIR}/Makefile.inc"
+.endif
+
+.if defined(NOPORTDOCS)
+READMEDIR=no
+.else
+READMEDIR=${PREFIX}/share/doc/nsd
+.endif
 
 post-install:
 	${SED} ${SED_SCRIPT} < ${FILESDIR}/nsd.sh.tmpl >${WRKDIR}/nsd.sh
@@ -96,5 +74,8 @@
 		${PREFIX}/etc/nsd/nsd.zones.sample
 	${INSTALL_SCRIPT} ${WRKDIR}/nsd.sh ${PREFIX}/etc/rc.d/
 	@${CAT} ${PKGMESSAGE}
+
+post-clean:
+	@${RM} -f ${WRKDIRPREFIX}${.CURDIR}/Makefile.inc
 
 .include <bsd.port.mk>
diff -ruN nsd.orig/distinfo nsd/distinfo
--- nsd.orig/distinfo	Tue Jan 18 14:43:31 2005
+++ nsd/distinfo	Tue Jan 18 14:44:17 2005
@@ -1,2 +1,2 @@
-MD5 (nsd-2.1.5.tar.gz) = 24e81b2bb25f0663e153e174bb585f04
-SIZE (nsd-2.1.5.tar.gz) = 225543
+MD5 (nsd-2.2.0.tar.gz) = e84b8e9d03062710ea847ea146ccb5d5
+SIZE (nsd-2.2.0.tar.gz) = 230431
diff -ruN nsd.orig/pkg-plist nsd/pkg-plist
--- nsd.orig/pkg-plist	Tue Jan 18 14:43:31 2005
+++ nsd/pkg-plist	Tue Jan 18 15:12:46 2005
@@ -3,7 +3,8 @@
 etc/nsd/nsd.zones.sample
 etc/nsd/nsdc.conf.sample
 sbin/nsd
-sbin/nsd-notify
-sbin/nsdc
 sbin/zonec
+sbin/nsdc
+sbin/nsd-notify
+sbin/nsd-xfer
 @dirrm etc/nsd
diff -ruN nsd.orig/scripts/configure.nsd nsd/scripts/configure.nsd
--- nsd.orig/scripts/configure.nsd	Thu Jan  1 00:00:00 1970
+++ nsd/scripts/configure.nsd	Tue Jan 18 15:17:06 2005
@@ -0,0 +1,86 @@
+#!/bin/sh
+# $FreeBSD$
+
+if [ -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc ]; then
+	exit
+fi
+
+tempfile=`mktemp -t checklist`
+
+if [ "${NSD_OPTIONS}" ]; then
+	set ${NSD_OPTIONS}
+fi
+
+for i; do
+	eval status_$i=ON
+done
+
+if [ -z "${BATCH}" ]; then
+	/usr/bin/dialog --title "NSD configuration options" --clear \
+		--checklist "\n\
+Please select desired options:" -1 -1 16 \
+ROOT_SERVER	"Configure NSD as a root server" "$status_ROOT_SERVER" \
+NOIPv6		"Disable IPv6 support" "$status_NOIPv6" \
+DNSSEC		"Enable experimental DNSSEC support according to the latest drafts." "$status_DNSSEC" \
+NOAXFR		"Disable AXFR" "$status_NOAXFR" \
+BIND8_STATS	"Enable BIND8 like NSTATS & XSTATS" "$status_BIND8_STATS" \
+PLUGINS		"Enable plugin support" "$status_PLUGINS" \
+NOTSIG		"Disable TSIG support" "$status_NOTSIG" \
+MMAP		"Configure NSD to load the database using mmap(2)" "$status_MMAP" \
+2> $tempfile
+
+	retval=$?
+
+	if [ -s $tempfile ]; then
+		set `sed 's/"//g' $tempfile`
+	fi
+	rm -f $tempfile
+
+	case $retval in
+		0)	if [ -z "$*" ]; then
+				echo "Nothing selected"
+			fi
+			;;
+		1)	echo "Cancel pressed."
+			exit 1
+			;;
+	esac
+fi
+
+${MKDIR} ${WRKDIRPREFIX}${CURDIR}
+exec > ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+
+while [ "$1" ]; do
+	case $1 in
+		ROOT_SERVER)
+			echo "CONFIGURE_ARGS+=        --enable-root-server"
+			;;
+		NOIPv6)
+			echo "CONFIGURE_ARGS+=        --disable-ipv6"
+			;;
+		DNSSEC)
+			echo "CONFIGURE_ARGS+=        --enable-dnssec"
+			;;
+		NOAXFR)
+			echo "CONFIGURE_ARGS+=        --disable-axfr"
+			;;
+		BIND8_STATS)
+			echo "CONFIGURE_ARGS+=        --enable-bind8-stats"
+			;;
+		PLUGINS)
+			echo "CONFIGURE_ARGS+=        --enable-plugins"
+			;;
+		NOTSIG)
+			echo "CONFIGURE_ARGS+=        --disable-tsig"
+			;;
+		MMAP)
+			echo "CONFIGURE_ARGS+=        --enable-mmap"
+			;;
+		*)
+			echo "Unknown option(s): $*" > /dev/stderr
+			rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+			exit 1
+			;;
+	esac
+	shift
+done
--- nsd-2.2.0.patch ends here ---

>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list